commit:     9a2b70ba3bccf76d7903367e8a2ff6414763fa99
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 21 13:37:59 2025 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Mon Jul 21 13:38:31 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a2b70ba

net-p2p/cpuminer-opt: add 25.6

Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 net-p2p/cpuminer-opt/Manifest                 |  1 +
 net-p2p/cpuminer-opt/cpuminer-opt-25.6.ebuild | 48 +++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/net-p2p/cpuminer-opt/Manifest b/net-p2p/cpuminer-opt/Manifest
index be038dddcd75..eedd8da05909 100644
--- a/net-p2p/cpuminer-opt/Manifest
+++ b/net-p2p/cpuminer-opt/Manifest
@@ -1 +1,2 @@
 DIST cpuminer-opt-25.5.tar.gz 1771079 BLAKE2B 
f92239ab93bb414f3a1c05000b123425cd2b9d223b188b896828983ff7348bb7a9a4952ec1dfcb19888212816c70464da1b4b5031b8c8b6d08df7f1b4cff6a55
 SHA512 
46bece85ed181d42e13b29861a5723a2837d626a256c3dea0deae68bd68276687987d6f54b5fb2560a4552f1c06749996406d9d40afd90e141940a1546a87966
+DIST cpuminer-opt-25.6.tar.gz 1772227 BLAKE2B 
d9f74fe161ed57418968377aa1a1115a11f4a5ba36c8968660c2db240a6c991fec26f6ba26873709cdcc85536cac90b83d2e5feb168c9f1e82481dc9caf6efc4
 SHA512 
106732e63b9967f230220d1066ff2df4aa10e3c712a2e2986c367872a13f3c74f6fcaa3b68c8fc45448d1bff2f6f4f4d77afb23f17b6f837c1d7348e30794507

diff --git a/net-p2p/cpuminer-opt/cpuminer-opt-25.6.ebuild 
b/net-p2p/cpuminer-opt/cpuminer-opt-25.6.ebuild
new file mode 100644
index 000000000000..289eb7265773
--- /dev/null
+++ b/net-p2p/cpuminer-opt/cpuminer-opt-25.6.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic systemd
+
+DESCRIPTION="Optimized multi algo CPU miner"
+HOMEPAGE="https://github.com/JayDDee/cpuminer-opt";
+IUSE="cpu_flags_x86_sse2 curl"
+LICENSE="GPL-2"
+SLOT="0"
+REQUIRED_USE="cpu_flags_x86_sse2"
+DEPEND="
+       dev-libs/gmp:=
+       dev-libs/jansson:=
+       >=net-misc/curl-7.15[ssl]
+"
+RDEPEND="${DEPEND}"
+if [[ ${PV} == "9999" ]] ; then
+       SRC_URI=""
+       EGIT_REPO_URI="https://github.com/JayDDee/${PN}.git";
+       inherit git-r3
+else
+       KEYWORDS="~amd64"
+       SRC_URI="https://github.com/JayDDee/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+fi
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       append-ldflags -Wl,-z,noexecstack
+       econf --with-crypto --with-curl
+}
+
+src_install() {
+       default
+       systemd_dounit "${FILESDIR}"/${PN}.service
+       insinto "/etc/${PN}"
+       newins config-template.json cpuminer-conf.json
+}
+
+src_test() {
+       ./cpuminer --cputest || die
+}

Reply via email to